Skip to main content
`Ctrl`+`K`

# SNESLineSearchBTSetAlpha

Sets the descent parameter, `alpha`, in the `SNESLINESEARCHBT` `SNESLineSearch` variant.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchBTSetAlpha(SNESLineSearch linesearch, PetscReal alpha)

## Input Parameters

- linesearch - linesearch context

- alpha - The descent parameter

## See Also

SNES: Nonlinear Solvers, `SNESLineSearch`, `SNESLineSearchSetLambda()`, `SNESLineSearchGetTolerances()`, `SNESLINESEARCHBT`, `SNESLineSearchBTGetAlpha()`

## Level

intermediate

## Location

src/snes/linesearch/impls/bt/linesearchbt.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages